﻿using System;
using System.IO;
using System.Windows.Forms;

namespace AutoCRCheck {
	public partial class frmOptions : Form {
		public frmOptions() {
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e) {
			txtRootDirectory.Text = Environment.CurrentDirectory;
		}

		private void radMismatch_CheckedChanged(object sender, EventArgs e) {
			txtMismatchRenameSuffix.Enabled = radMismatchRename.Checked;
		}

		private void btnStart_Click(object sender, EventArgs e) {
			DialogResult = DialogResult.OK;
			Close();
		}

		private void btnRootDirectoryBrowse_Click(object sender, EventArgs e) {
			fbdDirectoryBrowser.Description = "Select root directory";
			if (Directory.Exists(txtRootDirectory.Text)) fbdDirectoryBrowser.SelectedPath = txtRootDirectory.Text;
			fbdDirectoryBrowser.ShowNewFolderButton = false;
			if (fbdDirectoryBrowser.ShowDialog() == DialogResult.OK) {
				txtRootDirectory.Text = fbdDirectoryBrowser.SelectedPath;
			}
		}

		public String RootDirectory { get { return txtRootDirectory.Text; } }
		public Boolean MismatchDelete { get { return radMismatchDelete.Checked; } }
		public String MismatchRenameSuffix { get { return radMismatchRename.Checked ? txtMismatchRenameSuffix.Text : null; } }
	}
}
